Name:          studio-wallpapers-xe
Vendor:        atomic-studio-org
Version:       1.0.0+b63fadd
Release:       1%{?dist}
Summary:       Collections of wallpapers made by Xe
License:       CC-BY-SA-4.0
URL:           https://github.com/%{vendor}/%{name}
VCS:           git+https://github.com/atomic-studio-org/Theming.git#b63fadd796c9e0d5be491c546870b2d804285c03:src/wallpapers/xe
Source:        Theming-src-wallpapers-xe-b63fadd7.tar.gz
BuildArch:     noarch

%description
Wallpapers redistributed for Atomic Studio made by Xe Iaso

%global debug_package %{nil}
%global ARTIST xe

%prep
%setup -T -b 0 -q -n Theming-src-wallpapers-xe

%install
shopt -s globstar
mkdir -p -m0755 \
    %{buildroot}%{_datadir}/backgrounds/%{VENDOR}/%{ARTIST} \
    %{buildroot}%{_datadir}/gnome-background-properties \
    %{buildroot}%{_datadir}/wallpapers/${NAME}

mv -f **/assets/* %{buildroot}%{_datadir}/backgrounds/%{VENDOR}/%{ARTIST}
mv -f LICENSE %{buildroot}%{_datadir}/backgrounds/%{VENDOR}/%{ARTIST}
mv -f **/xml/* %{buildroot}%{_datadir}/gnome-background-properties

%files
%license %{_datadir}/backgrounds/%{VENDOR}/%{ARTIST}/LICENSE
%attr(0755,root,root) %{_datadir}/backgrounds/%{VENDOR}/%{ARTIST}/*
%attr(0755,root,root) %{_datadir}/gnome-background-properties/*.xml

%post
mkdir -p %{_datadir}/wallpapers/%{VENDOR}/%{ARTIST}
ln -sf %{_datadir}/backgrounds/%{VENDOR}/%{ARTIST} %{_datadir}/wallpapers/%{VENDOR}/%{ARTIST}

%changelog
%autochangelog
